<?php
/*
Plugin Name: Hide WP Toolbar
Plugin URI: http://saxey.net/wordpress-plugin-hide-wp-toolbar
Description: The plugin is simple: it adds a button to the right side of the WordPress Toolbar that will show or hide the bar (with nice transitions).
Version: 1.3
Author: Jeremy Saxey
Author URI: http://saxey.net
*/

/********************************************
	Add button to Toolbar
*********************************************/

// only show button for frontend
if (!is_admin()) {
	add_action('admin_bar_menu', 'hide_wp_toolbar_add_button',  1);
}

function hide_wp_toolbar_add_button($toolbar){

	// Properties for the button
    $args = array(
            'id'    => 'hide',
            'title' => '<div><<</div>',
            'parent' => 'top-secondary'
            );
 
    // Add button to admin bar
    $toolbar->add_node( $args );

}

/*********************************************
	Add Stylesheet
**********************************************/

add_action( 'wp_enqueue_scripts', 'hide_wp_toolbar_add_stylesheet' );

function hide_wp_toolbar_add_stylesheet() {
	
	// Register the style for plugin:
	wp_register_style( 'hide-wp-toolbar-style', plugins_url( 'style.css', __FILE__ ) );
	wp_enqueue_style( 'hide-wp-toolbar-style' );
}


/*********************************************
	Add Javascript
**********************************************/

add_action( 'wp_enqueue_scripts', 'hide_wp_toolbar_add_script' );

function hide_wp_toolbar_add_script() {

	// Register the script for plugin:
	wp_register_script( 'hide-wp-toolbar-script', plugins_url( 'script.js', __FILE__ ), array( 'jquery') );
	wp_enqueue_script( 'hide-wp-toolbar-script');
}

?>